﻿var monthStr = new Array("January","February","March","April","May","June","July","August","September",
	"October","November","December");

var first_name="", last_name="";
var startup=true;

function view_onOpen() {
	first_name = options.getValue("FIRST");
	last_name = options.getValue("LAST");

	if (first_name == "" || last_name == "" || first_name== null || last_name == null) {
		options.putValue("FIRST", "John");
		options.putValue("LAST", "Doe");
		first_name="John";
		last_name="Doe";
		alert("Welcome to the B4U Numerology Gadget.\nPlease configure your name in the Options Tab");
	} 
	startup=false;
	updateScreen();
	setInterval(checkTime, (50*60000)); //Check Time every 50 minutes.
}

function updateScreen() {
	var str = name_label.innerTEXT = first_name+" "+last_name+"";
	
	var todayDate = new Date();
	today.innerTEXT="("+ monthStr[todayDate.getMonth()].substr(0,3) +" "+todayDate.getDate() + ", " + todayDate.getFullYear()+")"
	getRSS();
}


function getRSS() {
	var feed;
	
	text.innerTEXT = "Loading Your Daily Forecast...";	
	webAddress="http://www.b4u.com/rss/en_numero.php?f="+first_name+"&l="+last_name+"";
	try {
		var doc=new ActiveXObject("Microsoft.XMLDOM");
		doc.async=false;
		doc.load(webAddress);
		feed = doc.getElementsByTagName("description").item(2).firstChild.data;
	} catch(error) {
			feed = "Failed Loading Daily Forecast... Please Check Settings & Reload Gadget.";
	}

	if (feed.length > 125)text.size="8";
		else text.size="9";
	
	text.innerTEXT = feed;
}

function link_click(link) 
{
	var winShell = new ActiveXObject("Shell.Application");
	
	if (link==1) winShell.ShellExecute("http://www.b4u.com/");
		else winShell.ShellExecute("http://www.astrologicnet.com/")
}

function checkTime() { // Check for updates, update @ 0100 Israel Time.
	var now = new Date();

	now.setHours(now.getHours()+2); // Israel Time
	if (now.getUTCHours()==1) updateScreen();
}

function onOptionChanged() {
	first_name = options.getValue("FIRST");
	last_name = options.getValue("LAST");
	if (!startup) updateScreen();
}